de.esprit.appsuite.workflow.wft

## Class FileNameInputWFT<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.task.AbstractAsyncExecutable<C>
      - - de.esprit.appsuite.task.AbstractAsyncTask<C>
        - - de.esprit.appsuite.gui.task.AbstractSwingTask<C>
          - - de.esprit.appsuite.workflow.wft.AbstractWFT<C>
            - - de.esprit.appsuite.workflow.wft.FileNameInputWFT<C>

- All Implemented Interfaces:
    ApplicationObject<C>, AsyncExecutable<C>, AsyncTask<C>, CancellableTask, LocalCancellableTask, TaskMonitorSupport, TaskEvent.Source, TaskIdHolder, WorkflowTask<C>, ErrorHandlerSupport, Renderable, SimpleLogSupport, Dumpable, Executable, java.lang.Runnable

      public class FileNameInputWFT<C extends ApplicationContext>
      extends AbstractWFT<C>

  This WFT pops up a `OutputFileChooserDialog` for choosing an output file. Note that the subsequent WFT needs to fetch the chosen output-file as well as the override-flag from this task.
  Author:
    Rainer Buesch
  See Also:
    `OutputFileChooserDialog`

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `childTaskRef, isTestMode, monitorController, resultRef, stateFlag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileNameInputWFT(AbstractWorkflow<C> workflow)`
    `FileNameInputWFT(AbstractWorkflow<C> workflow, NlsKey nameKey, java.lang.String defaultFileName, boolean isOverride)`
    `FileNameInputWFT(AbstractWorkflow<C> workflow, java.lang.String defaultFileName)`
    `FileNameInputWFT(AbstractWorkflow<C> workflow, java.lang.String defaultFileName, boolean isOverride)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected de.esprit.appsuite.workflow.wft.FileNameInputDialog` | `createFileChooserDialog()`
    `void` | `enterTask(WorkflowTask previousTask)` Runs in the ET before the task starts to run async
    `java.lang.String` | `getDefaultFileName()`
    `java.lang.String` | `getOuptutFileName()`
    `NlsKey` | `getTaskNameKey()`
    `boolean` | `isDeciderTask()` Tells, whether this is a decider-WFT.
    `boolean` | `isOverrideExisting()`
    `void` | `setDefaultFile(java.lang.String defaultFile)`

    - ### Methods inherited from class de.esprit.appsuite.workflow.wft.AbstractWFT

      `executeAsync, executeAsyncImpl, exitTask, getTaskIndex, getWorkflow, getWorkingDir, isTaskRepeating, setName, setTaskIndex, updateTaskName`

    - ### Methods inherited from class de.esprit.appsuite.gui.task.AbstractSwingTask

      `addMonitor, addTaskListener, awaitEventsDone, doneChildFinished, doneChildStarted, doneTaskCancelled, doneTaskFailed, doneTaskFinished, doneTaskProceeded, doneTaskStarted, doneTaskStateChanged, doneTaskSucceeded, getActionCancel, getRenderColor, getRenderIcon, getRenderText, getSwingTaskMonitor, isRegisterInTaskList, removeTaskListener, showError, showError, showError, showInfo, showInfo, showWarning, showWarning`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractAsyncTask

      `awaitFinished, awaitFinished, awaitStarted, cancel, createTaskId, deregisterTask, doOnFinish, doOnStart, doOnSuccess, executeChildTask, executeChildTask, getCurrentFuture, getMaxChildTasks, getPriority, getProcessingDuration, getStartTime, getStopWatch, handleFinish, handleStart, handleSuccess, isRegisterForCancel, isRunning, notifyProceeded, registerTask, releaseStart, run, setCurrentFuture, setMaxChildTasks, setPriority, setRegisterForCancel, setReleaseTimeout, submit, submit, submitInternal, toString, wasSucceeded`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `checkCancelled, checkForErrorAndRethrow, clearMonitors, createRunStateFlag, doOnCancel, doOnFailure, execute, executeSubTask, getError, getMaxProgressSteps, getMonitorCount, getMonitors, getName, getProgressStepCount, getResult, getRunStateFlag, getTaskId, getType, handleCancellation, handleFailure, hasError, hasMonitor, isCancellable, registerTaskStateChange, removeMonitor, resetProgress, setCancellable, setLogLevel, setMaxProgressSteps, setMonitor, setName, setResult, setRunStateFlag, setTaskId, setType, shouldFireMonitor, sleepChecked, wasCancelled`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.task.AsyncTask

      `awaitFinished, awaitFinished, awaitStarted, executeChildTask, executeChildTask, getError, getProcessingDuration, hasError, isRegisterForCancel, isRunning, releaseStart, setName, setReleaseTimeout, submit, submit`

    - ### Methods inherited from interface de.esprit.appsuite.task.AsyncExecutable

      `checkCancelled, checkForErrorAndRethrow, executeSubTask, getName, getResult, getRunStateFlag, getTaskId, getType, handleCancellation, handleFailure, isCancellable, notifyProceeded, setCancellable, setResult, setRunStateFlag, sleepChecked`

    - ### Methods inherited from interface de.esprit.appsuite.launch.ApplicationObject

      `getApplicationContext`

    - ### Methods inherited from interface de.esprit.common.type.Executable

      `execute`

    - ### Methods inherited from interface de.esprit.appsuite.task.monitor.TaskMonitorSupport

      `addMonitor, clearMonitors, getMonitorCount, getMonitors, hasMonitor, removeMonitor`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

    - ### Methods inherited from interface de.esprit.appsuite.task.LocalCancellableTask

      `cancel`

    - ### Methods inherited from interface de.esprit.appsuite.task.CancellableTask

      `wasCancelled`

    - ### Methods inherited from interface de.esprit.appsuite.task.TaskIdHolder

      `getTaskId`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

- - ### Constructor Detail

    - #### FileNameInputWFT

          public FileNameInputWFT(AbstractWorkflow<C> workflow)

    - #### FileNameInputWFT

          public FileNameInputWFT(AbstractWorkflow<C> workflow,
                          java.lang.String defaultFileName)

    - #### FileNameInputWFT

          public FileNameInputWFT(AbstractWorkflow<C> workflow,
                          java.lang.String defaultFileName,
                          boolean isOverride)

    - #### FileNameInputWFT

          public FileNameInputWFT(AbstractWorkflow<C> workflow,
                          NlsKey nameKey,
                          java.lang.String defaultFileName,
                          boolean isOverride)

  - ### Method Detail

    - #### enterTask

          public void enterTask(WorkflowTask previousTask)
                         throws java.lang.Exception

      Description copied from interface: `WorkflowTask`
      Runs in the ET before the task starts to run async
      Specified by:
        `enterTask` in interface `WorkflowTask<C extends ApplicationContext>`
      Overrides:
        `enterTask` in class `AbstractWFT<C extends ApplicationContext>`
      Throws:
        `java.lang.Exception`

    - #### getOuptutFileName

          public java.lang.String getOuptutFileName()

    - #### isOverrideExisting

          public boolean isOverrideExisting()

    - #### getDefaultFileName

          public java.lang.String getDefaultFileName()

    - #### setDefaultFile

          public void setDefaultFile(java.lang.String defaultFile)

    - #### getTaskNameKey

          public NlsKey getTaskNameKey()

    - #### isDeciderTask

          public final boolean isDeciderTask()

      Description copied from interface: `WorkflowTask`
      Tells, whether this is a decider-WFT. Such a WFT will ask the user for a decision by popping up an choice editor with choosable `CheckOption`s.
      Specified by:
        `isDeciderTask` in interface `WorkflowTask<C extends ApplicationContext>`
      Overrides:
        `isDeciderTask` in class `AbstractWFT<C extends ApplicationContext>`

    - #### createFileChooserDialog

          protected de.esprit.appsuite.workflow.wft.FileNameInputDialog createFileChooserDialog()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.